﻿using C1.WPF.TileView;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Wpf_TileView_DeleteItem
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
            
        C1TileViewItem item;
        private void C1TileView_MouseDown(object sender, MouseButtonEventArgs e)
        {
            if (e.Source.GetType() == typeof(C1TileViewItem))
            {
                //Get the respective TileViewItem
                item = (C1.WPF.C1HeaderedContentControl)e.Source as C1TileViewItem;
                item.Focus();
            }
        }

        private void tileview_PreviewKeyDown(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Delete)
            {
                //Remove the Item on the press of 'Delete' Key
                tileview.Items.Remove(item);
            }
        }

        private void Delete_Click(object sender, RoutedEventArgs e)
        {
            if (((System.Windows.Controls.Primitives.ButtonBase)(e.Source)).Parent.GetType() == typeof(C1TileViewItem))
            {
                //Get the respective TileViewItem
                item = ((System.Windows.Controls.Primitives.ButtonBase)(e.Source)).Parent as C1TileViewItem;
                tileview.Items.Remove(item);
            }
        }

     
     
    }
}
